> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bodhveda.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete recipient

> Remove an existing recipient.



## OpenAPI

````yaml DELETE /recipients/{recipient_id}
openapi: 3.0.3
info:
  title: Bodhveda Notifications API
  version: '1.0'
  description: API for sending notifications to recipients or broadcasting to all.
servers: []
security: []
paths:
  /recipients/{recipient_id}:
    delete:
      tags:
        - Recipients
      summary: Delete a recipient
      description: Remove an existing recipient.
      operationId: deleteRecipient
      parameters:
        - name: recipient_id
          in: path
          required: true
          schema:
            type: string
          description: The unique external ID of the recipient.
      responses:
        '200':
          description: Recipient deleted
          content:
            application/json:
              examples:
                Recipient deleted:
                  summary: Recipient Deleted
                  value:
                    message: Recipient deleted
        '404':
          description: Recipient not found
          content:
            application/json:
              examples:
                Not found:
                  summary: Recipient Not Found
                  value:
                    message: Recipient not found
      security:
        - BearerAuthWithAPIKeyWithFullAcessScope: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl -X DELETE https://api.bodhveda.com/recipients/recipient_123 \
              -H "Authorization: Bearer bv_xxxxxxxxx" 
        - lang: javascript
          label: JavaScript
          source: |-
            import { Bodhveda } from "@bodhveda/js";

            const bodhveda = new Bodhveda("bv_xxxxxxxxx");

            await bodhveda.recipients.delete("recipient_123");
        - lang: go
          label: Go
          source: |-
            import (
                "context"

                bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
            )

            ctx := context.Background()
            client := bodhveda.NewClient("bv_xxxxxxxxx", nil)

            err := client.Recipients.Delete(ctx, "recipient_123")
components:
  securitySchemes:
    BearerAuthWithAPIKeyWithFullAcessScope:
      type: http
      scheme: bearer
      bearerFormat: APIKey
      description: >-
        Bearer authentication header of the form `Bearer bv_xxxxxxxxx`, where
        `bv_xxxxxxxxx` is your **API Key** with `Full access` scope.

````